Subject: Re: HTB/act_mirred problem [was: one more... iproute commands lockup whole system]

From: jamal <[email-masked]>
Date: Wed, 04 Apr 2007 10:33:22 -0400

On Wed, 2007-04-04 at 16:13 +0200, Patrick McHardy wrote:

> This seems to be due to be caused by act_mirred returning TC_ACT_STOLEN,
> which is translated to NET_XMIT_SUCCESS within prio, causing HTB to
> increase the q.qlen counter and activating the class despite no packet
> beeing queued.
> 
> Jamal, we can't return NET_XMIT_SUCCESS unless we've really queued the
> packet. I can't remeber the reason why this is done, could you remind
> me?

IIRC, It had to do with not confusing TCP to try and retransmit. I can
go back and look at my notes to be certain. At one point i posted those
notes, it maybe time to add them to the kernel code or doc somewhere.

cheers,
jamal

PS:- i may a little slow in responding for the next few hours.